<?php
/**
 * @category     Addons
 * @package      Admin tool: Pagescode-Check
 * @copyright    Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Org. e.V.
 * @author       Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Project
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.0.2
 * @lastmodified 2024/10/06
 * @since        File available since 2024/10/06
 * @description  info for wbpagecode
 * 
 * Tool.inc.php
 */
//echo "<pre>POST in Tool.inc.php:<br> ";
//print_r($_POST);
//echo "</pre>";
//
//echo "<pre>GET in Tool.inc.php:<br> ";
//print_r($_GET);
//echo "</pre>";

/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if (!defined('WB_PATH')) { throw new Exception('Cannot access the addon \"'.basename(__DIR__).'\" directly'); }
/* -------------------------------------------------------- */

use addon\wbpagecode\Lib\Pagecodecheck;
use bin\{WbAdaptor, SecureTokens};
use bin\helpers\{PreCheck,ParentList};

use Twig\Loader\FilesystemLoader;
use Twig\Environment;
use Twig\TwigFilter;



if (is_readable($sAddonPath.'/init.php')) {require ($sAddonPath.'/init.php');}
$oTrans->enableAddon('modules\\'.$sAddonName);

$backlink = ADMIN_URL.'/admintools/tool.php?tool='.$sAddonName;

#####################################################################
if(isset($aRequestVars['action']) && ($aRequestVars['action'] == 'Savepagecode')) {
    //  FTAN-CHECK
    if (!\bin\SecureTokens::checkFTAN ()) {
        throw new \Exception ($oTrans->MESSAGE_GENERIC_SECURITY_ACCESS);
    } 
//      Security-CHECK
    $sSaveID = $admin->checkIDKEY('SaveID', false, 'POST');
    if(!$sSaveID) {
        $admin->print_error('Tool.inc.php '.$MESSAGE['GENERIC_SECURITY_ACCESS'], $backlink);
//                exit();
    }
    // pagecode-target from main-pages in level = 0
        $aPageCodeTarget = [];
        if(isset($aRequestVars['page_code_target']) && ($aRequestVars['page_code_target'] != '')) {
            foreach($aRequestVars['page_code_target'] as $key => $value) {
                $aPageCodeTarget[] = array(
                    'pid'        => $key,
                    'pc_target'  => $value
                );

                $sSql = 'UPDATE `'.TABLE_PREFIX.'pages` SET '
                    .   '`page_code` = '.(int)$value .', '
                    .   '`modified_when` = '.\time().' '
                    .   'WHERE `page_id` = '.$key;
                if (!$database->query($sSql)){
                    throw new \Exception ($database->get_error());
                }

//                echo "<br>Page: ".$sql."<br>";
                }
        }

    // pagecode-target from sub-pages in level > 0    
        $aChildCodeTarget = [];
        if(isset($aRequestVars['child_code_target']) && ($aRequestVars['child_code_target'] != '')) {
            foreach($aRequestVars['child_code_target'] as $key => $value) {
                $sSql = 'UPDATE `'.TABLE_PREFIX.'pages` SET '
                    .   '`page_code` = '.(int)$value .', '
                    .   '`modified_when` = '.\time().' '
                    .   'WHERE `page_id` = '.$key;
                if (!$database->query($sSql)){
                    throw new \Exception ($database->get_error());
                }
//                echo "<br>Child: ".$sSql."<br>";
            }
        }
}


#####################################################################

$FTAN = $admin->getFTAN('');
// complete array with replacements
$aTplDefaults = [
        'WB_URL'                           => WB_URL,
        'ADMIN_URL'                        => ADMIN_URL,
        'FTAN_NAME'                        => $FTAN['name'],
        'FTAN_VALUE'                       => $FTAN['value'],
        'BETHEME_URL'                      => THEME_URL,
        'MODULE_THEME_URL'                 => $sAddonThemeUrl,
        'MODULE_THEME_PATH'                => $sAddonThemePath,
        'ICON_URL'                         => $sAddonThemeUrl.'/images',
        'AJAX_URL'                         => $sAddonThemeUrl.'/ajax',
        'ADDON_NAME'                       => $sAddonName,
        'ADDONNAME'                        => strtoupper($sAddonName),
        'ADDONURL'                         => $sAddonUrl,
        'LANGUAGE'                         => LANGUAGE,
        'ICONS'                            => $sAddonThemeUrl.'/images',
        'ICON_URL'                         => $sAddonThemeUrl.'/images',
        'THEME_URL'                        => $sAddonThemeUrl,
        'MULTI_LANGUAGES'                  => PAGE_LANGUAGES,
        'REDIRECT_URL'                     => ADMIN_URL.'/admintools/tool.php?tool='.$sAddonName,
        'SAVE_URL'                         => ADMIN_URL.'/admintools/tool.php?tool='.$sAddonName,
        'BACK_URL'                         => ADMIN_URL.'/admintools/index.php',
        'SAVEID'                           => SecureTokens::getIDKEY('SAVEID'),
        'DefaultLanguage'                  => DEFAULT_LANGUAGE
    ];



$aTwigdata = $aTplDefaults;
$oBEFunctions                                     = new Pagecodecheck();
$aSettings                                        = $oBEFunctions->getSettings(0);
$aTwigdata['lang']                                = $oTrans->getLangArray();
$aTwigdata['setting']                             = $aSettings;
$aTwigdata['CountAllPages']                       = $oBEFunctions->CountAllPages();
$iCountLanguages                                  = $oBEFunctions->CountLanguages();
$aPagesArray                                      = [];
if($iCountLanguages == 1){
    $aPagesArray                                  = $oBEFunctions->getPageTreeList(0, $aPagesArray);
    $aTwigdata['ParentList']                      = $aPagesArray;
    $sFileName                                    = 'ModifySingleLang.twig';
}else{
    $aPagesArray                                  = $oBEFunctions->getPageTreeList(0, $aPagesArray);
    $aTwigdata['ParentList']                      = $aPagesArray;
    $sFileName                                    = 'ModifyMultiLang.twig';
}
$aSelectPagesArray                                = [];
$aSelectPagesArray                                = $oBEFunctions->getSelectboxList(0, $aSelectPagesArray);                          
$aTwigdata['pcodelist']                           = $aSelectPagesArray;


//    echo "<pre>Tool.inc.php<br>";
//    print_r($aTwigdata['ParentList'] );
//    echo "</pre>";

   
    if (is_readable($sAddonThemePath.'/'.$sFileName))
        {
            // create twig template object
            $loader = new \Twig\Loader\FilesystemLoader($sAddonThemePath);
            $oTwig  = new \Twig\Environment($loader, [
            'autoescape'       => false,
            'cache'            => false,
            'strict_variables' => false,
            'debug'            => false,
            'auto_reload'      => true,
        ]);
        $oTwig->addFilter(new TwigFilter('var_dump','var_dump'));
        echo $oTwig->render($sFileName, $aTwigdata);
    }
        

// end of file

    

