<?php
/**
 * @category     Addons
 * @package      Admin tool: Pages & Sections Search
 * @copyright    Christian M. Stefan (original), Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Org. e.V.
 * @author       Christian M. Stefan (original), Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Project
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.0.2
 * @lastmodified 2023/05/19
 * @since        File available since 2023/05/19
 * @description  german language file
 *
/**
 * DE.php
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(defined('WB_PATH') == false) { die('Illegale file access /'.basename(__DIR__).'/'.basename(__FILE__).''); }
/* -------------------------------------------------------- */

// German module description
$module_description     = 'Dieses AdminTool erstellt in mehrsprachigen Seiten eine Liste zur Übersicht und der Veränderung aller PageCode-Einträge';

$PCC['MODULENAME']                  = 'PageCode-Check';
$PCC['NO_PAGES_FOUND']              = 'Keine Seiten in der Datenbank gefunden';
$PCC['NO_SUBPAGES_FOUND']           = 'Keine Unterseiten zu dieser Sprache gefunden';
$PCC['CLICK_TO_OPEN']               = 'Ein- oder Ausblenden des Seitenbaums für diese Sprache';
$PCC['VISIBILITY']                  = 'Sichtbarkeit';
$PCC['PAGES_LANG']                  = 'Seitensprache';
$PCC['PAGE_TITLE']                  = 'Seiten-Titel';
$PCC['MENU_TITLE']                  = 'Menü-Titel';
$PCC['PID']                         = 'Page-ID';
$PCC['SID']                         = 'Section-ID';
$PCC['ALL_PAGES']                   = 'Seitenübersicht';
$PCC['MANAGE_SECTIONS']             = 'Zur Abschnittsverwaltung';
$PCC['MODIFY_PAGE']                 = 'Seite bearbeiten';
$PCC['MODIFY_SETTINGS']             = 'Seiteneigenschaften';
$PCC['FRONTEND']                    = 'Im Frontend anschauen';
$PCC['SAVE']                        = 'Speichern';
$PCC['CANCEL']                      = 'Abbrechen';
$PCC['ACTIONS']                     = 'Aktionen';
$PCC['BACK_TO_OVERVIEW']            = 'zurück zur Übersicht';
$PCC['WRONG_PC_TARGET']             = 'Ungültige Pagecode-Einstellung, wird auf die Startseite verlinkt (Pagecode: %s)';
$PCC['SUBPAGES']                    = 'Unterseiten';
$PCC['VISIBILITY']                  = 'Sichtbarkeit';
$PCC['public']                      = 'öffentlich';
$PCC['hidden']                      = 'versteckt';
$PCC['private']                     = 'privat';
$PCC['registered']                  = 'registriert';
$PCC['none']                        = 'keine';
$PCC['deleted']                     = 'im Papierkorb';

$PCC['SINGLETEXT']                  = 'Das Addon wurde für die Einstellungen der Verlinkungen mehrsprachiger Seiten untereinander entwickelt.<br>Diese Einstellungen sind bei einer einsprachig genutzten Webseite nicht nötig';

$PCC['HELP1']                       = 'Der <b>Pagecode</b> ist Teil der Seiteneinstellung für mehrsprachige Projekte. Er sorgt (bei korrekter Einstellung) im Fähnchenmenü '
                                    . 'für die Umleitung einer Seite in jeweils gleiche Seiten der anderen benutzten Sprachen, also eine englische <i>Contact</i>-Seite direkt zur deutschen Kontaktseite. <b>WebsiteBaker</b> unterscheidet dafür die Hauptsprache, die in den WB-Optionen eingestellt wird und Nebensprachen. '
                                    . 'Um das System korrekt einzustellen, wird jeder Unterseite einer benutzten Nebensprache ein Äquivalent in der Hauptsprache zugeordnet. Die kann einzeln pro Seite in den Seiteneinstellungen passieren oder mit diesem Addon. Wird eine neue Seite in der Hauptsprache angelegt, erhält diese '
                                    . 'automatisch die eigene Page-ID als <b>Pagecode</b>, neue Seiten der Nebensprachen bekommen eine Null als <b>Pagecode</b> und werden damit automatisch im Fähnchenmenü zur Startseite der Hauptsprache verlinkt. <b>WebsiteBaker</b> sucht auf jeder Seite die eingestellten Pagecodes und baut damit das Fähnchenmenü. ';
$PCC['HELP2']                       = '<p>Das Addon <b><i>Pagecode-Check</i></b> bietet eine Übersicht in Form des Seitenbaum und zu jeder Seite dort ein Auswahlfeld mit dem Seitenbaum der Hauptsprache. Mit Klick auf <i>Speichern</i> ganz unten wird diese Liste gespeichert. '
                                    . 'Dieser Vorgang kann beliebig oft wiederholt werden, so das eine geteilte Bearbeitung möglich ist.<br> Rechts vom Auswahlfeld findet man noch jeweils 4 Icons, die zur Bearbeitung der ausgewählten Seite in einem neuen Browserfenster weiterleiten. Sind Seitentitel in der linken Spalte in rot dargestellt, ist hier ein ungültiger Pagecode eingestellt. '
                                    . 'Diese Seiten sollten bei der Korrektur vorrangig eingestellt werden. </p> ';
                                    
// end of file