<?php
/**
 * @category     Addons
 * @package      Admin tool: Pages & Sections Search
 * @copyright    Christian M. Stefan (original), Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Org. e.V.
 * @author       Christian M. Stefan (original), Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Project
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.0.2
 * @lastmodified 2023/05/19
 * @since        File available since 2023/05/19
 * @description  english language file
 *
/**
 * EN.php
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(defined('WB_PATH') == false) { die('Illegale file access /'.basename(__DIR__).'/'.basename(__FILE__).''); }
/* -------------------------------------------------------- */

// english module description
$module_description     = 'This module creates a sortable and searchable list of all pages, to check and change the pagecode-settings in multilingual projects';

$PCC['MODULENAME']                  = 'PageCode-Check';
$PCC['NO_PAGES_FOUND']              = 'No pages found in the database';
$PCC['NO_SUBPAGES_FOUND']           = 'No subpages found in the database for this language';
$PCC['CLICK_TO_OPEN']               = 'Show or hide the page-tree for this language';
$PCC['NOSCRIPT_MESSAGE']            = "JavaScript is disabled in the browser you are using. JavaScript must be enabled for this admin tool to work properly.";
$PCC['VISIBILITY']                  = 'Visibility';
$PCC['PAGES_LANG']                  = 'Page language';
$PCC['PAGE_TITLE']                  = 'Page title';
$PCC['MENU_TITLE']                  = 'Menu title';
$PCC['PID']                         = 'Page-ID';
$PCC['SID']                         = 'Section-ID';
$PCC['ALL_PAGES']                   = 'Page overview';
$PCC['MANAGE_SECTIONS']             = 'To the section management';
$PCC['MODIFY_PAGE']                 = 'Edit page';
$PCC['MODIFY_SETTINGS']             = 'Page properties';
$PCC['FRONTEND']                    = 'View in frontend';
$PCC['SAVE']                        = 'Save';
$PCC['CANCEL']                      = 'Cancel';
$PCC['ACTIONS']                     = 'Actions';
$PCC['BACK_TO_OVERVIEW']            = 'Back to overview';
$PCC['WRONG_PC_TARGET']             = 'Wrong pagecode-setting, redirect to startpage (Pagecode: %s)';
$PCC['SUBPAGES']                    = 'Subpages';
$PCC['VISIBILITY']                  = 'Visibility';
$PCC['public']                      = 'public';
$PCC['hidden']                      = 'hidden';
$PCC['private']                     = 'private';
$PCC['registered']                  = 'registered';
$PCC['none']                        = 'none';
$PCC['deleted']                     = 'deleted';

$PCC['SINGLETEXT']                  = 'Das Addon wurde für die Einstellungen der Verlinkungen mehrsprachiger Seiten untereinander entwickelt.<br>Diese Einstellungen sind bei einer einsprachig genutzten Webseite nicht nötig';

$PCC['HELP1']                       = 'The page code is part of the page settings for multilingual projects. It ensures (if set correctly) that a page in the flag menu is redirected to the same pages in the other languages used, i.e. an English contact page directly to the German contact page. <b>WebsiteBaker</b> distinguishes between the main language, which is set in the WB options, and secondary languages. '
                                    . 'To set up the system correctly, each subpage of a secondary language used is assigned an equivalent in the main language. This can be done individually per page in the page settings or with this add-on. '
                                    . 'If a new page is created in the main language, it automatically receives its own page ID as the page code; new pages in secondary languages receive a zero as the <b>page code</b> and are thus automatically linked to the main language start page in the flag menu. <b>WebsiteBaker</b> searches for the page codes set on each page and uses them to build the flag menu. ';
$PCC['HELP2']                       = '<p>The Pagecode-Check addon provides an overview in the form of a page tree and a selection field with the page tree of the main language for each page. Click on Save at the bottom to save this list.'
                                    . 'This process can be repeated as often as required so that split processing is possible.<br> To the right of the selection field, you will find 4 icons that redirect you to editing the selected page in a new browser window. '
                                    . 'If page titles are displayed in red in the left-hand column, an invalid page code has been set here. These pages should be prioritized for correction.</p> ';
                     


// end of file