<?php
/**
 * @category     Addons
 * @package      Admin tool: Pages & Sections Search
 * @copyright    Christian M. Stefan (original), Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Org. e.V.
 * @author       Christian M. Stefan (original), Uwe Jacobsen <webdesign@jacobi22.com>, WebsiteBaker Project
 * @license      http://www.gnu.org/licenses/gpl.html   GPL License
 * @version      1.0.2
 * @lastmodified 2023/05/19
 * @since        File available since 2023/05/19
 * @description  ajax/save.php
 * This file gets $_POST Data sent by ajax and executes DB updates on fields
 */

use addon\wbPagesec\Lib\Pagesec;
use bin\{WbAdaptor, SecureTokens};
use bin\helpers\{PreCheck};

$sAddonPath = 'modules/'.basename(dirname(dirname(dirname(__DIR__))));
$sAddonName = basename(dirname(dirname(dirname(__DIR__))));
$configFile = dirname(dirname(dirname(dirname(dirname(__DIR__))))).'/config.php';
if (is_readable($configFile)){require $configFile;}

//if (is_readable($sAddonPath.'/init.php')) {require ($sAddonPath.'/init.php');}
//$oTrans->enableAddon('modules\\'.$sAddonName);

$oBEFunctions                               = new Pagesec();
$aSettings                                  = $oBEFunctions->getSettings(0);


//require('../../../../../config.php');
//require_once(WB_PATH.'/framework/class.admin.php');

$bAdminHeader = FALSE; // suppress to print the header, so no new FTAN will be set
$admin = new admin('Pages', 'pages_settings', $bAdminHeader);
// check if user can change things to avoid any submission from a logged in not admin user
if($admin->get_permission('pages_modify') == false ) {
    exit;
}

// Create the Fields from Submission
$aFromString = explode ( "-",$_POST['id']);
$sDbField    = $aFromString[0];
$iPageId     = intval($aFromString[1]);
//sanitize new value to update
$sNewValue = str_replace(array("[[", "]]", "\n", "\t"), '', htmlspecialchars($admin->add_slashes($admin->get_post('value'))));
$aCheckPagesFields = array('page_title', 'menu_title', 'description', 'keywords', 'custom01', 'custom02');


$aSettings  = [];
$sql  = 'SELECT `s_name`, `s_value` FROM `'.TABLE_PREFIX.'mod_pagecode_settings` '
      . 'WHERE `section_id` = 0 ';
//                        echo $sql;
if ($query = $database->query($sql)){
    while ($row = $query->fetchAssoc()) {
        $aSettings[$row['s_name']] = $row['s_value'];
    }
}


if(!defined('REWRITE_URL') && $aSettings['rewriteUrl_use'] == TRUE ){
    define('REWRITE_URL', $aSettings['rewriteUrl_dbString']);
    array_push($aCheckPagesFields, REWRITE_URL);
}

// UPDATE the DB Field
 if(isset($_POST['value']) && in_array($sDbField, $aCheckPagesFields)){
    // Update page settings in the pages table
    $sUpdateQuery  = 'UPDATE `'.TABLE_PREFIX.'pages` SET `'.$sDbField.'` = "'.$sNewValue.'" WHERE `page_id` = '.$iPageId;
    $database->query($sUpdateQuery);
}
if($database->is_error() == FALSE) {
    echo $sNewValue;
}
exit;